summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authormnovick19882016-02-08 02:00:18 -0500
committermnovick19882016-02-08 02:00:18 -0500
commit195db79358c2ff64ded7af5f38ee53db67d2852a (patch)
treeed4f2651576bd767a8f19f722d19b3ef5b768192
downloadaur-195db79358c2ff64ded7af5f38ee53db67d2852a.tar.gz
Initial import
-rw-r--r--.SRCINFO45
-rw-r--r--PKGBUILD80
-rwxr-xr-xpostgresql-check-db-dir49
-rw-r--r--postgresql-run-socket.patch12
-rw-r--r--postgresql.install39
-rw-r--r--postgresql.logrotate4
-rw-r--r--postgresql.pam3
-rw-r--r--postgresql.service26
-rw-r--r--postgresql.tmpfiles.conf1
9 files changed, 259 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..da409b08ea5
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,45 @@
+# Generated by mksrcinfo v8
+# Mon Feb 8 06:51:07 UTC 2016
+pkgbase = postgresql-git
+ pkgdesc = Git version of the PostgreSQL database (includes both server and libs)
+ pkgver = 9.5.1
+ pkgrel = 1
+ url = https://wiki.postgresql.org/wiki/HowToBetaTest
+ install = postgresql.install
+ arch = i686
+ arch = x86_64
+ license = custom:PostgreSQL
+ makedepends = python2
+ makedepends = perl
+ depends = libxml2
+ depends = readline>=6.0
+ depends = openssl>=1.0.0
+ optdepends = python2: for PL/Python support
+ optdepends = perl: for PL/Perl support
+ provides = postgresql-libs=9.5.1
+ provides = postgresql=9.5.1
+ provides = postgresql-git
+ conflicts = postgresql-libs
+ conflicts = postgresql
+ conflicts = postgresql-testing
+ conflicts = postgresql-git
+ options = !strip
+ backup = etc/pam.d/postgresql
+ backup = etc/logrotate.d/postgresql
+ source = git://git.postgresql.org/git/postgresql.git
+ source = postgresql-run-socket.patch
+ source = postgresql.pam
+ source = postgresql.logrotate
+ source = postgresql.service
+ source = postgresql.tmpfiles.conf
+ source = postgresql-check-db-dir
+ md5sums = SKIP
+ md5sums = 75c579eed03ffb2312631f0b649175b4
+ md5sums = 96f82c38f3f540b53f3e5144900acf17
+ md5sums = d28e443f9f65a5712c52018b84e27137
+ md5sums = 89b48774b0dae7c37fbb0e907c3c1db8
+ md5sums = 1c5a1f99e8e93776c593c468e2612985
+ md5sums = ba9b7d804500dffc095eac78c4a2a00f
+
+pkgname = postgresql-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..4cc29773250
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,80 @@
+# Maintainer: M Novick <mnovick1988@gmail.com>
+# Maintainer: Marti Raudsepp <marti@juffo.org>
+# Contributor: Dan McGee <dan@archlinux.org>
+#
+# Borrowed from postgresql-testing
+#
+
+pkgname=postgresql-git
+pkgver=9.5.1
+pkgrel=1
+_majorver=9.5
+pkgdesc="Git version of the PostgreSQL database (includes both server and libs)"
+arch=('i686' 'x86_64')
+url="https://wiki.postgresql.org/wiki/HowToBetaTest"
+license=('custom:PostgreSQL')
+backup=('etc/pam.d/postgresql' 'etc/logrotate.d/postgresql')
+options=(!strip) # to facilitate debugging of testing builds
+depends=('libxml2' 'readline>=6.0' 'openssl>=1.0.0')
+makedepends=('python2' 'perl')
+optdepends=('python2: for PL/Python support'
+ 'perl: for PL/Perl support')
+conflicts=('postgresql-libs' 'postgresql' 'postgresql-testing' 'postgresql-git')
+provides=("postgresql-libs=$pkgver" "postgresql=$pkgver" 'postgresql-git')
+source=("git://git.postgresql.org/git/postgresql.git"
+ postgresql-run-socket.patch
+ postgresql.pam postgresql.logrotate
+ postgresql.service postgresql.tmpfiles.conf postgresql-check-db-dir)
+install=postgresql.install
+
+build() {
+ cd $srcdir/postgresql
+
+ patch -Np1 < ../postgresql-run-socket.patch
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man \
+ --datadir=/usr/share/postgresql \
+ --sysconfdir=/etc \
+ --with-libxml \
+ --with-openssl \
+ --with-perl \
+ --with-python PYTHON=/usr/bin/python2 \
+ --with-pam \
+ --with-system-tzdata=/usr/share/zoneinfo \
+ --enable-nls \
+ --enable-thread-safety \
+ --with-krb5 \
+ --with-tcl \
+
+ make
+ make -C contrib
+}
+
+package() {
+ cd $srcdir/postgresql
+
+ # install
+ make DESTDIR="${pkgdir}" install
+ make -C contrib DESTDIR="${pkgdir}" install
+
+ # install license
+ install -D -m644 COPYRIGHT "${pkgdir}/usr/share/licenses/${pkgbase}/LICENSE"
+
+ install -D -m644 "${srcdir}/postgresql.tmpfiles.conf" \
+ "${pkgdir}/usr/lib/tmpfiles.d/postgresql.conf"
+ install -D -m644 "${srcdir}/postgresql.service" \
+ "${pkgdir}/usr/lib/systemd/system/postgresql.service"
+ install -D -m755 "${srcdir}/postgresql-check-db-dir" \
+ "${pkgdir}/usr/bin/postgresql-check-db-dir"
+ install -D -m644 "${srcdir}/postgresql.pam" \
+ "${pkgdir}/etc/pam.d/postgresql"
+ install -D -m644 "${srcdir}/postgresql.logrotate" \
+ "${pkgdir}/etc/logrotate.d/postgresql"
+}
+md5sums=('SKIP'
+ '75c579eed03ffb2312631f0b649175b4'
+ '96f82c38f3f540b53f3e5144900acf17'
+ 'd28e443f9f65a5712c52018b84e27137'
+ '89b48774b0dae7c37fbb0e907c3c1db8'
+ '1c5a1f99e8e93776c593c468e2612985'
+ 'ba9b7d804500dffc095eac78c4a2a00f')
diff --git a/postgresql-check-db-dir b/postgresql-check-db-dir
new file mode 100755
index 00000000000..540f1780643
--- /dev/null
+++ b/postgresql-check-db-dir
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# This script verifies that the postgresql data directory has been correctly
+# initialized. We do not want to automatically initdb it, because that has
+# a risk of catastrophic failure (ie, overwriting a valuable database) in
+# corner cases, such as a remotely mounted database on a volume that's a
+# bit slow to mount. But we can at least emit a message advising newbies
+# what to do.
+
+PGDATA="$1"
+
+if [ -z "$PGDATA" ]
+then
+ echo "Usage: $0 database-path"
+ exit 1
+fi
+
+# PGMAJORVERSION is major version
+PGMAJORVERSION=9.4
+# PREVMAJORVERSION is the previous major version, e.g., 8.4, for upgrades
+PREVMAJORVERSION=9.3
+
+# Check for the PGDATA structure
+if [ -f "$PGDATA/PG_VERSION" ] && [ -d "$PGDATA/base" ]
+then
+ # Check version of existing PGDATA
+ if [ x`cat "$PGDATA/PG_VERSION"` = x"$PGMAJORVERSION" ]
+ then
+ : A-OK
+ elif [ x`cat "$PGDATA/PG_VERSION"` = x"$PREVMAJORVERSION" ]
+ then
+ echo $"An old version of the database format was found."
+ echo $"See https://wiki.archlinux.org/index.php/PostgreSQL#Upgrading_PostgreSQL"
+ exit 1
+ else
+ echo $"An old version of the database format was found."
+ echo $"You need to dump and reload before using PostgreSQL $PGMAJORVERSION."
+ echo $"See http://www.postgresql.org/docs/$PGMAJORVERSION/static/upgrading.html"
+ exit 1
+ fi
+else
+ # No existing PGDATA! Warn the user to initdb it.
+ echo $"\"$PGDATA\" is missing or empty. Use a command like"
+ echo $" su - postgres -c \"initdb --locale en_US.UTF-8 -D '$PGDATA'\""
+ echo $"with relevant options, to initialize the database cluster."
+ exit 1
+fi
+
+exit 0
diff --git a/postgresql-run-socket.patch b/postgresql-run-socket.patch
new file mode 100644
index 00000000000..b558c7b7496
--- /dev/null
+++ b/postgresql-run-socket.patch
@@ -0,0 +1,12 @@
+diff -Naur postgresql-9.2.0.sockets/src/include/pg_config_manual.h postgresql-9.2.0/src/include/pg_config_manual.h
+--- postgresql-9.2.0.sockets/src/include/pg_config_manual.h 2012-09-06 17:26:17.000000000 -0400
++++ postgresql-9.2.0/src/include/pg_config_manual.h 2012-09-06 18:13:18.183092471 -0400
+@@ -144,7 +144,7 @@
+ * here's where to twiddle it. You can also override this at runtime
+ * with the postmaster's -k switch.
+ */
+-#define DEFAULT_PGSOCKET_DIR "/tmp"
++#define DEFAULT_PGSOCKET_DIR "/run/postgresql"
+
+ /*
+ * The random() function is expected to yield values between 0 and
diff --git a/postgresql.install b/postgresql.install
new file mode 100644
index 00000000000..699efe692af
--- /dev/null
+++ b/postgresql.install
@@ -0,0 +1,39 @@
+post_install() {
+ if [ ! -d '/var/lib/postgres' ]; then
+ mkdir -p '/var/lib/postgres'
+ fi
+ if ! getent group postgres >/dev/null; then
+ groupadd -g 88 postgres
+ fi
+ if ! getent passwd postgres >/dev/null; then
+ useradd -c 'PostgreSQL user' -u 88 -g postgres -d '/var/lib/postgres' -s /bin/bash postgres
+ passwd -l postgres >/dev/null
+ fi
+ systemd-tmpfiles --create postgresql.conf
+ if [ ! -d '/var/lib/postgres/data' ]; then
+ mkdir -p '/var/lib/postgres/data'
+ chown postgres:postgres '/var/lib/postgres/data'
+ fi
+}
+
+post_upgrade() {
+ post_install $1
+ # FS#23858, fix postgres user shell issue
+ postgres_shell=$(getent passwd postgres | cut -d: -f7)
+ if [ "$postgres_shell" = "/sbin/nologin" ]; then
+ chsh -s /bin/bash postgres
+ fi
+ if [ $(vercmp $2 '9.2.1-2') -lt 0 ]; then
+ echo "Note: The Unix domain socket location has changed; be sure to"
+ echo " restart any local applications using libpq.so."
+ fi
+}
+
+post_remove() {
+ if getent passwd postgres >/dev/null; then
+ userdel postgres
+ fi
+ if getent group postgres >/dev/null; then
+ groupdel postgres
+ fi
+}
diff --git a/postgresql.logrotate b/postgresql.logrotate
new file mode 100644
index 00000000000..9c36918be5e
--- /dev/null
+++ b/postgresql.logrotate
@@ -0,0 +1,4 @@
+/var/log/postgresql.log {
+ copytruncate
+ missingok
+}
diff --git a/postgresql.pam b/postgresql.pam
new file mode 100644
index 00000000000..53724d1f86a
--- /dev/null
+++ b/postgresql.pam
@@ -0,0 +1,3 @@
+auth required pam_unix.so
+account required pam_unix.so
+session required pam_unix.so
diff --git a/postgresql.service b/postgresql.service
new file mode 100644
index 00000000000..294b66e8f2c
--- /dev/null
+++ b/postgresql.service
@@ -0,0 +1,26 @@
+[Unit]
+Description=PostgreSQL database server
+After=network.target
+
+[Service]
+Type=forking
+TimeoutSec=120
+User=postgres
+Group=postgres
+
+Environment=PGROOT=/var/lib/postgres
+
+SyslogIdentifier=postgres
+PIDFile=/var/lib/postgres/data/postmaster.pid
+
+ExecStartPre=/usr/bin/postgresql-check-db-dir ${PGROOT}/data
+ExecStart= /usr/bin/pg_ctl -s -D ${PGROOT}/data start -w -t 120
+ExecReload=/usr/bin/pg_ctl -s -D ${PGROOT}/data reload
+ExecStop= /usr/bin/pg_ctl -s -D ${PGROOT}/data stop -m fast
+
+# Due to PostgreSQL's use of shared memory, OOM killer is often overzealous in
+# killing Postgres, so adjust it downward
+OOMScoreAdjust=-200
+
+[Install]
+WantedBy=multi-user.target
diff --git a/postgresql.tmpfiles.conf b/postgresql.tmpfiles.conf
new file mode 100644
index 00000000000..c2e0747dae6
--- /dev/null
+++ b/postgresql.tmpfiles.conf
@@ -0,0 +1 @@
+d /run/postgresql 0775 postgres postgres -